---
title: Log4OM Rig Status Now Live!
layout: post
date: 2023-02-02 05:45:29
tags: Site
excerpt_separator: <!--more-->
---

So after I embedded Log4OM Live Log on the [log page](https://nq4t.com/log/) and then my [Pi-Star Dashboard](https://nq4t.com/pistar/), I felt I had one more thing to stick on here; HF Rig Status.
My original thought was to poll OmniRig on the shack PC, then upload it to an auto refreshing file. But this proved confusing since there was no information on communicating with OmniRig using Python,
the only language I knew somewhat that could do this.

But recently Log4OM added support for sending UDP messages as part of it's remote control; even better is that it does this every 5 seconds when the radio is on. So I've spent the last two days
hacking together some code that listens for the messages, outputs it to an HTML file, and even has a basic monitoring thread to indicate when the radio is off. It runs on my web server here at the
QTH.

So the sidebar was modified to shoe-horn it in to place and some hours spent tweaking copies of the CSS to make it fit in the sidebar as much as possible. It will indicate what frequency my
FT-1000MP is currently on, if I'm running split, and even if I'm transmitting. It's far from perfect; the refresh happens only every 5 seconds, the message about the radio being off is around
30 seconds delayed, and if I'm not making a long transmission you won't see the on-air indicator. 

But you know what...that's fine. It gets the job done.

[Talk about this post on the forums.](https://forum.nq4t.com/viewtopic.php?t=11)
